Bug 206147 - editors/lazarus: Update 1.4.4
Summary: editors/lazarus: Update 1.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-12 07:49 UTC by takefu
Modified: 2016-01-26 18:12 UTC (History)
2 users (show)

See Also:


Attachments
lazarus-1.4.4.patch (2.51 KB, patch)
2016-01-12 07:49 UTC, takefu
no flags Details | Diff
lazarus-1.6RC2.patch (3.31 KB, patch)
2016-01-25 01:45 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2016-01-12 07:49:04 UTC
Created attachment 165421 [details]
lazarus-1.4.4.patch

Update to 1.4.4
Comment 1 Bugzilla Automation freebsd_committer 2016-01-12 07:49:04 UTC
Maintainer informed via mail
Comment 2 John Marino freebsd_committer 2016-01-12 15:05:22 UTC
I'm pretty sure 1.6 will be the next version in ports.
Comment 3 John Marino freebsd_committer 2016-01-12 15:06:48 UTC
that being said, if acm@ doesn't respond in a timely fashion (he's been MIA) and 1.6 is still far out (although I don't think it is) then maybe I can import this as it's not complex.
Comment 4 takefu 2016-01-12 23:22:55 UTC
(In reply to John Marino from comment #2)

Understanding.
Closed is better?
Comment 5 John Marino freebsd_committer 2016-01-12 23:30:32 UTC
no, let's just wait and see.
Comment 6 John Marino freebsd_committer 2016-01-23 08:27:26 UTC
takefu, lazarus is at release candidate 2 right now.  Do have have any interest in providing a patch to update lazarus to that version?  (or newer if available) 

I'm pretty busy these days, but if you do the main effort of updating it, I can probably review and commit it.
Comment 7 takefu 2016-01-25 01:45:35 UTC
Created attachment 166078 [details]
lazarus-1.6RC2.patch

We are ready to be able to build the release candidate 2.
To proceed with the formal release,
There is also prepared to patch submission.
Comment 8 John Marino freebsd_committer 2016-01-26 11:54:26 UTC
all the patches have relative paths like "./makefile" so they are ambiguous.  Normally you would generate a patch from the ports root or at least the category root.

The changes themselves look ok except for removing the "created by" line in the first makefile.  Those are permanent.
Comment 9 John Marino freebsd_committer 2016-01-26 12:38:03 UTC
hmm, getting a failure on lcl-qt4 in synth:

Target OS: DragonFly for x86-64
Compiling ../lcl.pas
Compiling alllclintfunits.pas
Compiling qtproc.pp
Compiling qt4.pas
qt45.pas(654,84) Error: Identifier not found "Qt4PasLib"
qt45.pas(654,94) Error: Illegal expression
qt45.pas(655,76) Error: Identifier not found "Qt4PasLib"
qt45.pas(655,86) Error: Illegal expression
qt45.pas(656,106) Error: Identifier not found "Qt4PasLib"

Unclear if it's DF-specific or not yet.  (my guess is not).
Comment 10 John Marino freebsd_committer 2016-01-26 12:50:39 UTC
It appears to be dragonfly-specific issue, there's a missing definition of DF.
Comment 11 commit-hook freebsd_committer 2016-01-26 18:00:37 UTC
A commit references this bug:

Author: marino
Date: Tue Jan 26 17:59:51 UTC 2016
New revision: 407280
URL: https://svnweb.freebsd.org/changeset/ports/407280

Log:
  editors/lazarus* (5 ports): Upgrade version 1.4.2 => 1.6RC2

  PR:		206147
  Submitted by:	takefu (airport.fm)

Changes:
  head/editors/lazarus/Makefile
  head/editors/lazarus/distinfo
  head/editors/lazarus-lcl-gtk2/Makefile
  head/editors/lazarus-lcl-nogui/Makefile
  head/editors/lazarus-lcl-qt/Makefile
  head/editors/lazarus-lcl-qt/files/
  head/editors/lazarus-lcl-qt/files/patch-interfaces_qt_qt45.pas
  head/editors/lazarus-lcl-units/Makefile